/*
 * Created on Dec 8, 2006
 * Created by reisdorf1
 */
package gov.llnl.ics.pe.mapguide.query;

/**
 * Simple Label,Value object
 * 
 * @author reisdorf1
 * 
 */
public class LabelValue {
    private String label;

    private String value;

    public LabelValue() {
        super();
    }

    public LabelValue(String label, String value) {
        super();
        this.label = label;
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    /**
     * Constructs a <code>String</code> with all attributes
     * in name = value format.
     *
     * @return a <code>String</code> representation 
     * of this object.
     */
    public String toString()
    {
        final String TAB = "    ";
        
        String retValue = "";
        
        retValue = "LabelValue ( "
            + super.toString() + TAB
            + "label = " + this.label + TAB
            + "value = " + this.value + TAB
            + " )";
        
        return retValue;
    }

}
