/*
 * Created by reisdorf1
 */
package gov.llnl.ics.pe.mapguide.query;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

import org.apache.log4j.Logger;

public class FileUtils {
    private static Logger log = Logger.getLogger(FileUtils.class.getName());

    public static String getFileContents(String filename) throws FileNotFoundException, IOException {
        byte[] buffer = getFileByteArrayContents(filename);
        return new String(buffer, "UTF-8");
    }

    public static int getFileSize(String filename) throws FileNotFoundException, IOException {
        File theFile = new File(filename);
        int size = (int) theFile.length();
        return size;
    }

    public static byte[] getFileByteArrayContents(String filename) throws FileNotFoundException, IOException {
        File theFile = new File(filename);
        int size = (int) theFile.length();
        FileInputStream is = new FileInputStream(theFile);
        byte[] buffer = new byte[size];
        is.read(buffer);
        return buffer;
    }

}
