/*
 * Created on Dec 6, 2006
 * Created by reisdorf1
 */
package gov.llnl.ics.pe.mapguide.query;


public class Property implements Comparable {
    
    private String name;
    private boolean isString = false;
    public Property(String name, boolean isString) {
        super();
        this.name = name;
        this.isString = isString;
    }
    public boolean isString() {
        return isString;
    }
    public void setString(boolean isString) {
        this.isString = isString;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
   
    public int compareTo(Object o1) {
        int retVal = 0;
        if(!(o1 instanceof Property)) {
            throw new ClassCastException("A Property object expected.");
        }
        if (o1 == null || ((Property) o1).getName() == null) {
            retVal = -1;
        } else {
            retVal = this.getName().compareTo(((Property) o1).getName());
        }
        return retVal;
    }
    
    
    

}
